model_notifier 0.8.1+16
model_notifier: ^0.8.1+16 copied to clipboard

Package that makes it easy to define ValueNotifier as a model and improves the affinity with riverpod and freezed.

Model Notifier #

Version Language License: BSD


Package that makes it easy to define ValueNotifier as a model and improves the affinity with riverpod and freezed.

Getting Started #

Add this to your package's pubspec.yaml file:

dependencies:
  model_notifier: ^0.8.1

You should then run flutter pub upgrade.

Usage #

import 'package:model_notifier/model_notifier.dart';

License #

BSD

0
likes
100
pub points
67%
popularity

Publisher

mathru.net

Package that makes it easy to define ValueNotifier as a model and improves the affinity with riverpod and freezed.

Homepage
Repository (GitHub)
View/report issues

License

BSD (LICENSE)

Dependencies

flutter, flutter_hooks, flutter_riverpod, hooks_riverpod, http, katana, meta, riverpod

More

Packages that depend on model_notifier